summaryrefslogtreecommitdiffstats
path: root/postinstall.sh
diff options
context:
space:
mode:
authorKyle K <kylek389@gmail.com>2020-01-27 19:33:59 -0600
committerKyle K <kylek389@gmail.com>2020-01-27 19:33:59 -0600
commit64d2dbf711659f1365b9313a88ea213c580c94da (patch)
treebec17ef927defcdeb3583b6d912464a03edd6963 /postinstall.sh
parent0131aee8b128d469931a310ffb5a411749deec66 (diff)
downloadgentoox-64d2dbf711659f1365b9313a88ea213c580c94da.tar.gz
gentoox-64d2dbf711659f1365b9313a88ea213c580c94da.tar.bz2
gentoox-64d2dbf711659f1365b9313a88ea213c580c94da.zip
begin collecting post install commands
Diffstat (limited to 'postinstall.sh')
-rwxr-xr-xpostinstall.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/postinstall.sh b/postinstall.sh
new file mode 100755
index 0000000..7be544e
--- /dev/null
+++ b/postinstall.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+if [ $(id -u) != "0" ]; then
+ echo "This script must be run as root" 1>&2
+ exit 1
+fi
+
+# post install
+#
+# adjust nproc in make.conf
+
+# setup /etc/fstab
+
+#plymouth-set-default-theme fade-in
+# adjust /etc/default/grub
+# splash quiet
+
+#rc-update add zfs-import boot
+#rc-update add zfs-mount boot
+
+rc-update add dbus default
+rc-update add dhcpcd default
+rc-update add avahi-daemon default
+
+sensors-detect --auto
+rc-update add lm_sensors default
+
+cp /etc/samba/smb.conf.default /etc/samba/smb.conf
+sed -i "s/ workgroup = MYGROUP/ workgroup = WORKGROUP/" /etc/samba/smb.conf
+
+# grub-mkconfig -o /boot/grub/grub.cfg
+
+
+
+
+su - gentoox
+flatpak --user remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo